%define	name	widelands
%define	version	b9half
%define	cvs	cvs20060725
%define	release	%mkrel 6
%define	Summary	Settlers II clone

Name:		%{name}
Version:	%{cvs}
Release:	%{release}
URL:		http://widelands.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		widelands-revert_terrain_breakage.diff.bz2
Patch1:		widelands-localepath.patch.bz2
License:	GPL
Group:		Games/Strategy
Summary:	%{Summary}
BuildRequires:	SDL-devel SDL_image-devel SDL_net-devel SDL_ttf-devel SDL_mixer-devel gettext-devel scons
BuildRequires:  png-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	%{name}
Obsoletes:	%{name}
Provides: 	perl(Network::ClientHandler)
Provides: 	perl(Network::Server)
Provides:	perl(Protocol::ProtocolPacket)
Provides:	perl(Protocol::ProtocolPacket_ChatMessage)
Provides:	perl(Protocol::ProtocolPacket_Connect)
Provides:	perl(Protocol::ProtocolPacket_GetRoomInfo)
Provides:	perl(Protocol::ProtocolPacket_GetUserInfo)
Provides:	perl(Protocol::ProtocolPacket_Hello)
Provides:	perl(Protocol::ProtocolPacket_Ping)
Provides:	perl(Protocol::ProtocolPacket_UserEntered)

%description
Widelands is inspired by Bluebyte's Settlers II and will someday be the
logical extension of this game although you do not need the original
game. Play it on Win/Linux against human & AI opponents.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p0

%build
./build-widelands.sh

#Build translations
cd locale
../utils/buildcat.py
%{__rm} -f *.po
%{__rm} -f *.pot
%{__rm} -f SConscript

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -m755 %{name} -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}.real
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_gamesbindir}/%{name}

cd %{_gamesdatadir}/%{name}
#!/bin/sh
%{_gamesbindir}/%{name}.real \$@
EOF

#icons
%{__install} -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
%{__install} -m644 pics/wl-ico-16.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 pics/wl-ico-32.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 pics/wl-ico-48.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{__install} -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
mv campaigns $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/campaigns
mv game_server $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/game_server
mv fonts $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/fonts
mv locale $RPM_BUILD_ROOT/usr/share/locale
mv maps $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/maps
mv music $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/music
mv pics $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/pics
mv sound $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/sound
mv tribes $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/tribes
mv txts $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/txts
mv worlds $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/worlds



%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=strategy_section.png \
		needs="x11" \
		section="Amusement/Strategy" \
		title="Widelands"\
		longtitle="%{Summary}"\
		xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Widelands
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}.real
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;X-MandrivaLinux-MoreApplications-Games-Strategy;
EOF

%find_lang %{name} --all-name

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(644,root,root,755)
%doc ChangeLog README.developers COPYING
%{_gamesdatadir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}*

%changelog
* Tue Sep 12 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060725-6mdv2007.0
- fix icon name

* Sat Sep 09 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060725-5mdv2007.0
- fix desktop file path

* Sat Aug 26 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060725-4mdv2007.0
- rebuild because package disapeared from mirrors

* Tue Aug 08 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060725-3mdv2007.0
- added patch to fix localization (Thanks to Peter Schwanemann from Widelands Team)

* Sun Jul 30 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060725-2mdv2007.0
- added patch from sourceforge to avoid segfaulting
- enable localization
- spec optimizations
- applied official Widelands icons

* Tue Jul 25 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060725-1mdv2007.0
- new cvs version

* Mon Jul 17 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060717-1mdv2007.0
- new cvs version

* Sun Jul 16 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060708-5mdv2007.0
- fix xdg menu

* Sat Jul 15 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060708-4mdv2007.0
- Add obsolete and provides to ease upgrade
- add provides for perl modules (bug #23710)
- remove paragui-devel (only for devel purpose)

* Fri Jul 14 2006 Emmanuel Andry <eandry@mandriva.org> cvs20060708-3mdv2007.0
- fix versionning

* Tue Jul 11 2006 Emmanuel Andry <eandry@mandriva.org> b9half.20060708-2mdv2007.0
- reupload

* Sat Jul 08 2006 Emmanuel Andry <eandry@mandriva.org> b9half.20060708-1mdv2007.0
- cvs version
- add buildrequires
- xdg compliant

* Tue Feb 21 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> b9half-1mdk
- from Emmanuel Andry <eandry@free.fr> :
	o fixed Source1 for rpmbuildupdate
	o new release
	o added BuildRequires SDL_mixer-devel and gettext-devel
	o %mkrel

* Sat Mar 26 2005 Emmanuel Andry <eandry@free.fr> b9-2mdk
- cosmetics
- fixed missing menu icons

* Mon Mar 07 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> b9-1mdk
- buildrequires
- from Emmanuel Andry <eandry@free.fr> :
	o b9

* Sun Aug 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> b7-1mdk
- b7

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> b6-2mdk
- rebuild for new g++
- patch 0: fix compiling with new g++

* Wed Dec 24 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> b6-1mdk
- b6
- merry christmas!:)

* Tue Dec 09 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> b5-3mdk
- fix icon in menu item

* Sat Dec 05 2003 Franck Villaume <fvill@freesurf.fr> b5-2mdk
- add BuildRequires SDL_image-devel

* Sun Sep 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> b5-1mdk
- initial mdk release
